#ifndef DEF_GAMEPLAY
#define DEF_GAMEPLAY
typedef struct jinfo jinfo;
typedef struct pinfo pinfo;
struct jinfo
{
	int orientation;
	int x;
	int y;
	int x_bmp;
	int y_bmp;
	int x_mat;
	int y_mat;
	int x_viseur;
	int y_viseur;
	int x_pointcontact[3];
	int y_pointcontact[3];

};
struct pinfo
{
	int x;
	int y;
	int orientation;
	int compteur;
};

void jouer ( int *mat, int niveauchoisi, int largeur, int hauteur, int ecranx, int ecrany, int *gagner );
void initperso ( jinfo *perso, int ecrany );
void deplacement ( jinfo *perso, int *touches, int ecranx, int ecrany, int largeur, int *mat_niveau );
void influencevecteur (jinfo *perso, pinfo *portal, int *vecteur_x, int *vecteur_y, int *mat_niveau, int largeur, int ecranx, int ecrany );
void bougerviseur (jinfo *perso, int *touches );
void tirerpg ( pinfo *portal, jinfo *perso, int largeur, int *mat_niveau, int *touches, int ecranx, int ecrany );
void traverserportal ( jinfo *joueur, pinfo *portal, int *vecteur_x, int *vecteur_y, int ecranx, int ecrany );
void input ( int *touches, int *mat_niveau );
void affichage ( int persoxbmp, int persoybmp, int persoxviseur, int persoyviseur, jinfo *perso, int orient, pinfo *portal, int *portalx, int *portaly, int ecranx, int ecrany, int* portalorientation );
void chargerecran ( int *mat_niveau, jinfo *perso, pinfo *portal, int *ecranx, int *ecrany, int largeur, int dir );
#endif