#define KEY_CHAR_0 71
#define KEY_CHAR_1 72
#define KEY_CHAR_2 62
#define KEY_CHAR_3 52
#define KEY_CHAR_4 73
#define KEY_CHAR_5 63
#define KEY_CHAR_6 53
#define KEY_CHAR_7 74
#define KEY_CHAR_8 64
#define KEY_CHAR_9 54
#define KEY_CHAR_DP 61
#define KEY_CHAR_EXP 51
#define KEY_CHAR_PMINUS 41
#define KEY_CHAR_PLUS 42
#define KEY_CHAR_MINUS 32
#define KEY_CHAR_MULT 43
#define KEY_CHAR_DIV 33
#define KEY_CHAR_FRAC 75
#define KEY_CHAR_LPAR 55
#define KEY_CHAR_RPAR 45
#define KEY_CHAR_COMMA 35
#define KEY_CHAR_STORE 25
#define KEY_CHAR_LOG 66
#define KEY_CHAR_LN 56
#define KEY_CHAR_SIN 46
#define KEY_CHAR_COS 36
#define KEY_CHAR_TAN 26
#define KEY_CHAR_SQUARE 67
#define KEY_CHAR_POW 57
#define KEY_CTRL_EXE 31
#define KEY_CTRL_DEL 44
#define KEY_CTRL_AC 32
#define KEY_CTRL_FD 65
#define KEY_CTRL_EXIT 47
#define KEY_CTRL_SHIFT 78
#define KEY_CTRL_ALPHA 77
#define KEY_CTRL_OPTN 68
#define KEY_CTRL_VARS 58
#define KEY_CTRL_UP 28
#define KEY_CTRL_DOWN 37
#define KEY_CTRL_LEFT 38
#define KEY_CTRL_RIGHT 27
#define KEY_CTRL_F1 79
#define KEY_CTRL_F2 69
#define KEY_CTRL_F3 59
#define KEY_CTRL_F4 49
#define KEY_CTRL_F5 39
#define KEY_CTRL_F6 29
#define KEY_CTRL_MENU 48
#define __KEYBIOS_H__

#include "fxlib.h"
#include "MonochromeLib.h"
#include "gameplay.h"
#include "stdlib.h"
#include "math.h"
#include "memory.h"
#include "menus.h"
#include "keys.h"

	unsigned char perso_droite[] = {0x18, 0x18, 0x33, 0x3E, 0x30, 0x38, 0x68, 0x4C};
	unsigned char perso_gauche[] = {0x18, 0x18, 0xCC, 0x7C, 0x0C, 0x1C, 0x16, 0x32};
	unsigned char viseur[] = {0x40, 0xE0, 0x40};
//	unsigned char portal_gauche[] = {0x18, 0x2C, 0x76, 0x5A, 0x5A, 0x6E, 0x34, 0x18};
//	unsigned char portal_droite[] = {0x18, 0x34, 0x6E, 0x5A, 0x5A, 0x76, 0x2C, 0x18};
	unsigned char antiportal[] = {0xFF, 0xE7, 0xF3, 0xDB, 0xDB, 0xCF, 0xE7, 0xFF};
	unsigned char sol[] = {0xFF, 0x99, 0xDB, 0xA5, 0xA5, 0xDB, 0x99, 0xFF};
	unsigned char sortie[] = {0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C};
	unsigned char emancipation[] = {0xE0, 0x0E, 0xE0, 0x0B, 0xD0, 0x07, 0x70, 0x07};
	unsigned char eau[] = {0x04, 0x26, 0xD9, 0x02, 0xA5, 0x30, 0x4B, 0x00};
	unsigned char portals_bas[] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1, 0x3E};
	unsigned char portals_gauche[] = {0x40, 0x40, 0x80, 0x80, 0x80, 0x80, 0x80, 0x40};
	unsigned char portals_haut[] = {0x7C, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
	unsigned char portals_droite[] = {0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02};
	unsigned char portala_bas[] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0x7C};
	unsigned char portala_gauche[] = {0x40, 0x80, 0x80, 0x80, 0x80, 0x80, 0x40, 0x40};
	unsigned char portala_haut[] = {0x3E, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
	unsigned char portala_droite[] = {0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02};

void jouer( int* mat_niveau, int niveauchoisi, int largeur, int hauteur, int ecranx, int ecrany, int *gagner )
{
	jinfo perso;
	pinfo portal[2] = {0};
	int vecteur_x = 0;
	int vecteur_y = 0;
	int touches[5] = {0};
	int persoxbmp, persoybmp, persoxviseur, persoyviseur, orient, portalx[2], portaly[2], portalorientation[2];

	initperso( &perso, ecrany );
	portal[0].x = -1;
	portal[0].y = -1;
	portal[1].x = -1;
	portal[1].y = -1;
	portal[0].orientation = -1;
	portal[1].orientation = -1;
	ML_bmp_8_xor( perso_droite, perso.x_bmp, perso.y_bmp );
	ML_bmp_xor( viseur, perso.x_viseur, perso.y_viseur, 3, 3);
	ML_display_vram();
//boucle principale de la partie

	do
	{
		input( touches, mat_niveau );
		Sleep(65);
		if( portal[0].compteur > 0 ) portal[0].compteur--;
		if( portal[1].compteur > 0 ) portal[1].compteur--;
		perso.x_mat = ( 16 * ecranx) + floor( perso.x/8 );
		perso.y_mat = ( 8 * ecrany ) + floor( perso.y/8 );
		persoxbmp = perso.x_bmp;
		persoybmp = perso.y_bmp;
		persoxviseur = perso.x_viseur;
		persoyviseur = perso.y_viseur;
		orient = perso.orientation;
		portalx[0] = portal[0].x;
		portalx[1] = portal[1].x;
		portaly[0] = portal[0].y;
		portaly[1] = portal[1].y;
		portalorientation[0] = portal[0].orientation;
		portalorientation[1] = portal[1].orientation;


		if( ( touches[0] == KEY_CHAR_6 && 
		( mat_niveau[( 8 * ecrany + (int) floor( perso.y_pointcontact[0] / 8 ) ) * largeur + ( 16 * ecranx ) + (int) floor( ( perso.x_pointcontact[0] +1 ) / 8 )] <= 0 && 
		mat_niveau[( 8 * ecrany + (int) floor( perso.y_pointcontact[1] / 8 ) ) * largeur + ( 16 * ecranx ) + (int) floor( ( perso.x_pointcontact[1] +1 ) / 8 )] <= 0 ) ) ||
		( touches[0] == KEY_CHAR_4 && 
		( mat_niveau[( 8 * ecrany + (int) floor( perso.y_bmp / 8 ) ) * largeur + ( 16 * ecranx ) + (int) floor( ( perso.x_bmp - 1 ) / 8 )] <= 0 &&
		mat_niveau[( 8 * ecrany + (int) floor( perso.y_pointcontact[2] / 8 ) ) * largeur + ( 16 * ecranx ) + (int) floor( ( perso.x_pointcontact[2] -1 ) / 8 )] <= 0 ) ) )  deplacement( &perso, touches, ecranx, ecrany, largeur, mat_niveau );

		if( mat_niveau[perso.y_mat * largeur + perso.x_mat] == -3 )
		{
			if( portal[0].x != -1 || portal[0].y != -1 )
			{
				mat_niveau[portal[0].y * largeur + portal[0].x] = 0;
				portal[0].x = -1;
				portal[0].y = -1;
				portal[0].orientation = -1;
			}

			if( portal[1].x != -1 || portal[1].y != -1 )
			{
				mat_niveau[portal[1].y * largeur + portal[1].x] = 0;
				portal[1].x = -1;
				portal[1].y = -1;
				portal[1].orientation = -1;
			}

		}

		if(mat_niveau[largeur * ( 8 * ecrany + (int) floor( ( perso.y_pointcontact[2] + 1 ) / 8 ) ) + ( ecranx * 16 ) + (int) floor( perso.x_pointcontact[2] / 8 )] > 0 || mat_niveau[largeur * ( 8 * ecrany + (int) floor( ( perso.y_pointcontact[1] + 1 ) / 8 ) ) + ( ecranx * 16 ) + (int) floor( perso.x_pointcontact[1] / 8 )] > 0 )
		{
			if( !( ( perso.x_mat == portal[0].x && perso.y_mat == portal[0].y ) || ( perso.x_mat == portal[1].x && perso.y_mat == portal[1].y ) ) )
			{
				vecteur_x = 0;
				vecteur_y = 0;
			}
		} //si le joueur est en train de toucher le sol, tous les vecteurs de mouvement sont mis  zro
		else
		{
			if( vecteur_y <= 10 ) vecteur_y += 2;
		} //si le joueur ne touche pas le sol (il est dans l'air), les effets de la gravit se font sentir sur les vecteurs

		if( vecteur_x || vecteur_y ) influencevecteur( &perso, portal, &vecteur_x, &vecteur_y, mat_niveau, largeur, ecranx, ecrany ); //cette fonction applique les vecteurs affects par les lignes prcdentes au mouvement du personnage

		if( ( perso.x_mat == portal[0].x && perso.y_mat == portal[0].y && ( !portal[0].compteur || fabs( vecteur_x ) > 4  || fabs( vecteur_y ) > 4 ) ) || ( perso.x_mat == portal[1].x && perso.y_mat == portal[1].y && ( !portal[1].compteur || fabs( vecteur_x ) > 4 || fabs( vecteur_y ) >4 ) ) && portal[0].x  > 0 && portal[0].y > 0 && portal[1].x  > 0 && portal[1].y > 0 ) traverserportal( &perso, portal, &vecteur_x, &vecteur_y, ecranx, ecrany ); //Pour pouvoir traverser le portal, il faut que tu sois prs de lui, qu'il se soit pass un certain temps depuis sa dernire utilisation et que les deux portaux soient ouverts

		if( touches[4] == KEY_CTRL_UP || touches[2] == KEY_CTRL_RIGHT || touches[4] == KEY_CTRL_DOWN || touches[2] == KEY_CTRL_LEFT ) bougerviseur( &perso, touches ); //les flches permettent de dplacer le viseur

		if( ( touches[3] == KEY_CTRL_SHIFT ) || ( touches[3] == KEY_CTRL_ALPHA ) ) tirerpg( portal, &perso, largeur, mat_niveau, touches, ecranx, ecrany ); //en touchant shift ou alpha tu utilises ta portal gun

		if( perso.x > 127 || perso.x < 0 || perso.y > 63 || perso.y < 0 )
		{
			if( perso.x > 127 ) chargerecran( mat_niveau, &perso, portal, &ecranx, &ecrany, largeur, 1 );
			if( perso.x < 0 ) chargerecran( mat_niveau, &perso, portal, &ecranx, &ecrany, largeur, 3 );
			if( perso.y > 63 ) chargerecran( mat_niveau, &perso, portal, &ecranx, &ecrany, largeur, 2 );
			if( perso.y < 0 ) chargerecran( mat_niveau, &perso, portal, &ecranx, &ecrany, largeur, 0 );

		persoxbmp = perso.x_bmp;
		persoybmp = perso.y_bmp;
		persoxviseur = perso.x_viseur;
		persoyviseur = perso.y_viseur;
		}

		affichage( persoxbmp, persoybmp, persoxviseur, persoyviseur, &perso, orient, portal, portalx, portaly, ecranx, ecrany, portalorientation );


	} while ( mat_niveau[perso.y_mat * largeur + perso.x_mat] != -1 && mat_niveau[perso.y_mat * largeur + perso.x_mat] != -4 ); //le joueur passe le niveau si il touche la sortie

	if( mat_niveau[perso.y_mat * largeur + perso.x_mat] == -1 ) *gagner = 1;

	free (mat_niveau);

	if( *gagner ) niveaucomplet( niveauchoisi );
	else niveauperdu();

}

void initperso( jinfo *perso, int ecrany )
{
perso->orientation = 1;
perso->x = 13;
perso->y = 50;
perso->x_bmp = 10;
perso->y_bmp = 48;
perso->x_mat = 1;
perso->y_mat = 8 * ecrany +6;
perso->x_viseur = 19;
perso->y_viseur = 51;
perso->x_pointcontact[0] = perso->x_bmp + 7;
perso->x_pointcontact[1] = perso->x_bmp + 7;
perso->x_pointcontact[2] = perso->x_bmp;
perso->y_pointcontact[0] = perso->y_bmp;
perso->y_pointcontact[1] = perso->y_bmp + 7;
perso->y_pointcontact[2] = perso->y_bmp + 7;
}

void deplacement( jinfo *perso, int *touches, int ecranx, int ecrany, int largeur, int *mat_niveau )
{

	if( touches[0] == KEY_CHAR_6 )
	{
		perso->x++;
		perso->x_bmp++;
		perso->x_pointcontact[0]++;
		perso->x_pointcontact[1]++;
		perso->x_pointcontact[2]++;

		if( perso->x_viseur < 127 ) perso->x_viseur++;

		perso->orientation = 1;
	}

	if( touches[0] == KEY_CHAR_4 )
	{
		perso->x--;
		perso->x_bmp--;
		perso->x_pointcontact[0]--;
		perso->x_pointcontact[1]--;
		perso->x_pointcontact[2]--;

		if( perso->x_viseur>0 ) perso->x_viseur--;

		perso->orientation = 0;
	}

	perso->x_mat = 16 * ecranx + floor( perso->x / 8 );
	perso->y_mat = 8 * ecrany + floor( perso->y / 8 );

}

void influencevecteur( jinfo *perso, pinfo *portal, int *vecteur_x, int *vecteur_y, int *mat_niveau, int largeur, int ecranx, int ecrany )
{
	int a;
	double distance = sqrt( (*vecteur_x) * (*vecteur_x) + (*vecteur_y) * (*vecteur_y) ), vecteurx = *vecteur_x / distance, vecteury = *vecteur_y / distance;
	double persox_0, persoy_0, persox, persoy, persoxviseur, persoyviseur, persoxpointcontact[4], persoypointcontact[4];

	persox_0 = perso->x;
	persoy_0 = perso->y;
	persox = perso -> x;
	persoy = perso->y;
	persoxviseur = perso->x_viseur;
	persoyviseur = perso->y_viseur;
	persoxpointcontact[0] = perso->x_bmp;
	persoxpointcontact[1] = perso->x_pointcontact[0];
	persoxpointcontact[2] = perso->x_pointcontact[1];
	persoxpointcontact[3] = perso->x_pointcontact[2];
	persoypointcontact[0] = perso->y_bmp;
	persoypointcontact[1] = perso->y_pointcontact[0];
	persoypointcontact[2] = perso->y_pointcontact[1];
	persoypointcontact[3] = perso->y_pointcontact[2];

	do
	{
		if( mat_niveau[( 8 * ecrany + (int) floor( ( persoypointcontact[0] + vecteury ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( persoxpointcontact[0] + vecteurx ) / 8 ) )] <= 0 &&
		mat_niveau[( 8 * ecrany + (int) floor( ( persoypointcontact[1] + vecteury ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( persoxpointcontact[1] + vecteurx ) / 8 ) )] <= 0 &&
		mat_niveau[( 8 * ecrany + (int) floor( ( persoypointcontact[2] + vecteury ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( persoxpointcontact[2] + vecteurx ) / 8 ) )] <= 0 &&
		mat_niveau[( 8 * ecrany + (int) floor( ( persoypointcontact[3] + vecteury ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( persoxpointcontact[3] + vecteurx ) / 8 ) )] <= 0 )
		{
			persox += vecteurx;
			persoy += vecteury;
			persoxviseur += vecteurx;
			persoyviseur += vecteury;

			for( a = 0; a < 4; a++ )
			{
				persoxpointcontact[a] += vecteurx;
				persoypointcontact[a] += vecteury;
			}
			
		}
		else
		{
			if( !( ( ( 16 *ecranx + floor( persox / 8 ) ) == portal[0].x && ( 8 * ecrany + floor( persoy / 8 ) ) == portal[0].y ) || ( ( 16 * ecranx + floor( persox / 8 ) ) == portal[1].x && ( 8 * ecrany + floor( persoy / 8 ) ) == portal[1].y ) ) )
			{
				*vecteur_x = 0;
				*vecteur_y = 0;
			}

			break;
		}

		if( mat_niveau[( 8 * ecrany + (int) floor( persoy / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( persox / 8 ) )] == -3 )
		{
			if( portal[0].x != -1 || portal[0].y != -1 )
			{
				mat_niveau[portal[0].y * largeur + portal[0].x] = 0;
				portal[0].x = -1;
				portal[0].y = -1;
				portal[0].orientation = -1;
			}

			if( portal[1].x != -1 || portal[1].y != -1 )
			{
				mat_niveau[portal[1].y * largeur + portal[1].x] = 0;
				portal[1].x = -1;
				portal[1].y = -1;
				portal[1].orientation = -1;
			}

		}

		if( mat_niveau[( 8 * ecrany + (int) floor( persoy / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( persox / 8 ) )] == -4 ) break;

	} while( sqrt( ( persox_0 - persox ) * ( persox_0 - persox ) + ( persoy_0 - persoy ) * ( persoy_0 - persoy ) ) < distance );


	perso->x = floor( persox );
	perso->y = floor( persoy );
	perso->x_viseur = floor( persoxviseur );
	perso->y_viseur = floor( persoyviseur );
	perso->x_bmp = floor( persoxpointcontact[0] );
	perso->y_bmp = floor( persoypointcontact[0] );

	for( a = 0; a < 3; a++ )
	{
		perso->x_pointcontact[a] = persoxpointcontact[a+1];
		perso->y_pointcontact[a] = persoypointcontact[a+1];
	}

	perso->x_mat = 16 * ecranx + floor( perso->x / 8 );
	perso->y_mat = 8 * ecrany + floor( perso->y / 8 );
}

void bougerviseur( jinfo *perso, int *touches )
{
//le viseur se dplacera tant qu'il soit  une distance d'entre 1 et 8 pixels du perso
	if( touches[4] == KEY_CTRL_UP && ( ( perso->x_viseur  - perso->x ) * ( perso->x_viseur - perso->x ) + ( perso->y_viseur - 1 - perso->y ) * ( perso->y_viseur - 1 - perso->y ) < 64 && ( ( perso->x_viseur - perso->x ) * ( perso->x_viseur - perso->x ) + ( perso->y_viseur - 1 - perso->y ) * ( perso->y_viseur - 1 - perso->y ) > 0 ) ) ) perso->y_viseur--;

	if( touches[2] == KEY_CTRL_RIGHT && ( ( perso->x_viseur + 1  - perso->x ) * ( perso->x_viseur + 1 - perso->x ) + ( perso->y_viseur  - perso->y ) * ( perso->y_viseur - perso->y ) < 64 && ( ( perso->x_viseur + 1 - perso->x ) * ( perso->x_viseur + 1 - perso->x ) + ( perso->y_viseur - perso->y ) * ( perso->y_viseur - perso->y ) > 0 ) ) ) perso->x_viseur++;

	if( touches[4] == KEY_CTRL_DOWN && ( ( perso->x_viseur  - perso->x ) * ( perso->x_viseur - perso->x ) + ( perso->y_viseur + 1 - perso->y ) * ( perso->y_viseur + 1 - perso->y ) < 64 && ( ( perso->x_viseur - perso->x ) * ( perso->x_viseur - perso->x ) + ( perso->y_viseur + 1 - perso->y ) * ( perso->y_viseur + 1 - perso->y ) > 0 ) ) ) perso->y_viseur++;

	if( touches[2] == KEY_CTRL_LEFT && ( ( perso->x_viseur - 1  - perso->x ) * ( perso->x_viseur - 1 - perso->x ) + ( perso->y_viseur - perso->y ) * ( perso->y_viseur - perso->y ) < 64 && ( ( perso->x_viseur - 1  - perso->x ) * ( perso->x_viseur - 1 - perso->x ) + ( perso->y_viseur - perso->y ) * ( perso->y_viseur - perso->y ) > 0 ) ) ) perso->x_viseur--;

	Sleep( 25 );
}

void tirerpg( pinfo *portal, jinfo *perso, int largeur, int *mat_niveau, int *touches, int ecranx, int ecrany )
{
	int portalorientation[2];
	double coordtir_x = perso->x;
	double coordtir_y = perso->y;
	double coordtirmat_x;
	double coordtirmat_y;
	double vecteur_x = perso->x_viseur + 1 - perso->x;
	double vecteur_y = perso->y_viseur +1 - perso->y;
	double distance = sqrt( vecteur_x * vecteur_x + vecteur_y * vecteur_y );

	vecteur_x /= distance; //on normalise les vecteurs pour obtenir des vecteurs unitaires
	vecteur_y /= distance;

	if( touches[3] == KEY_CTRL_SHIFT ) //shift et alpha te permettent de choisir le portail que tu veux utiliser
	{
//le tir suivra une ligne droite jusqu' ce qu'il trouve un bloc solide ou le bord de l'cran
		while( mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] <= 0 && mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] != -3 && (coordtir_x + vecteur_x ) <= 127 && (coordtir_x + vecteur_x ) >= 0 && (coordtir_y + vecteur_y ) <= 63 && (coordtir_y + vecteur_y ) >= 0 )
		{
			coordtir_x += vecteur_x;
			coordtir_y += vecteur_y;
		}

		coordtirmat_x = 16 * ecranx + (int) floor( coordtir_x / 8 );
		coordtirmat_y = 8 * ecrany + (int) floor( coordtir_y / 8 );
//Pour que le portail s'ouvre il faut que le tir touche un bloc normal et que sa place dans la matrice ne soit pas dj occupe ni par le dcor ni par le perso
		if( mat_niveau[( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur +  16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 )] == 1 && mat_niveau[(int) coordtirmat_y * largeur + (int) coordtirmat_x] == 0 && (coordtirmat_x != perso->x_mat || coordtirmat_y != perso->y_mat ) && mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] != -3 )
		{
			portalorientation[0] = -1;

			if( ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y + 1 && ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x ) portalorientation[0] = 0;

			if( ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x + 1 && ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y ) portalorientation[0] = 3;

			if( ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x - 1 && ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y ) portalorientation[0] = 1;

			if( ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y - 1 && ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x ) portalorientation[0] = 2;

			if( portalorientation[0] != -1 ) 
			{
				if( portal[0].x >= 0 )
				{
					mat_niveau[portal[0].y * largeur + portal[0].x] = 0;
				}

				portal[0].x = coordtirmat_x;
				portal[0].y = coordtirmat_y;
				mat_niveau[portal[0].y * largeur + portal[0].x] = -2;
				portal[0].orientation = portalorientation[0];
			}


		}

	}

	if( touches[3] == KEY_CTRL_ALPHA )
	{

		while( mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] <= 0 && mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] != -3 && (coordtir_x + vecteur_x ) <= 127 && (coordtir_x + vecteur_x ) >= 0 && (coordtir_y + vecteur_y ) <= 63 && (coordtir_y + vecteur_y ) >= 0 )
		{
			coordtir_x += vecteur_x;
			coordtir_y += vecteur_y;
		}

		coordtirmat_x = 16 * ecranx + (int) floor( coordtir_x / 8 );
		coordtirmat_y = 8 * ecrany + (int) floor( coordtir_y / 8 );

		if( mat_niveau[( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] == 1 && mat_niveau[ (int) coordtirmat_y * largeur + (int) coordtirmat_x] == 0 && mat_niveau[ ( 8 * ecrany + (int) floor( ( coordtir_y + vecteur_y ) / 8 ) ) * largeur + ( 16 * ecranx + (int) floor( ( coordtir_x + vecteur_x ) / 8 ) )] != -3 && (coordtirmat_x != perso->x_mat || coordtirmat_y != perso->y_mat ) )
		{
			portalorientation[1] = -1;

			if( ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x + 1 && ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y ) portalorientation[1] = 3;

			if( ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x - 1 && ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y ) portalorientation[1] = 1;

			if( ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y + 1 && ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x ) portalorientation[1] = 0;

			if( ( 8 * ecrany + floor( ( coordtir_y + vecteur_y ) / 8 ) ) == coordtirmat_y - 1 && ( 16 * ecranx + floor( ( coordtir_x + vecteur_x ) / 8 ) ) == coordtirmat_x ) portalorientation[1] = 2;

			if( portalorientation[1] != -1 )
			{

				if( portal[1].x > 0 )
				{
					mat_niveau[portal[1].y * largeur + portal[1].x] = 0;
				}

				portal[1].x = coordtirmat_x;
				portal[1].y = coordtirmat_y;
				mat_niveau[portal[1].y * largeur + portal[1].x] = -2;
				portal[1].orientation = portalorientation[1];
			}

		}

	}

}

void traverserportal( jinfo *perso, pinfo *portal, int *vecteur_x, int *vecteur_y, int ecranx, int ecrany )
{
	int vecteur1 = perso->x_viseur - perso->x;
	int vecteur2 = perso->y_viseur - perso->y;
	int lequel = -1;
	if( perso->x_mat == portal[0].x && perso->y_mat == portal[0].y  && portal[1].x > 0 ) lequel = 0;
	if( perso->x_mat == portal[1].x && perso->y_mat == portal[1].y && portal[0].x > 0 ) lequel = 1;

	if( !lequel )
	{
		perso->x_mat = portal[1].x;
		perso->y_mat = portal[1].y;
		perso->x = ( portal[1].x - ecranx * 16 ) * 8 + 3;
		perso->y = ( portal[1].y - ecrany * 8 ) * 8 + 3;
		perso->x_bmp = ( portal[1].x - ecranx * 16 ) * 8;
		perso->y_bmp = ( portal[1].y - ecrany * 8 ) * 8;
		perso->x_pointcontact[0] = perso->x_bmp + 7;
		perso->y_pointcontact[0] = perso->y_bmp;
 		perso->x_pointcontact[1] = perso->x_bmp + 7;
 		perso->y_pointcontact[1] = perso->y_bmp + 7;
		perso->x_pointcontact[2] = perso->x_bmp;
 		perso->y_pointcontact[2] = perso->y_bmp + 7;
		portal[1].compteur = 40;

		if( portal[1].orientation == 1 )
		{
			*vecteur_x += fabs( *vecteur_y );
			*vecteur_y = 0;
		}

		if( portal[1].orientation ==  3 )
		{
			*vecteur_x -= fabs( *vecteur_y );
			*vecteur_y = 0;
		}

		if( portal[1].orientation == 0 ) 
		{
			*vecteur_y = ( fabs( *vecteur_y ) * (-1) ) - fabs( *vecteur_x );
			*vecteur_x = 0;
		}

	}

	if( lequel )
	{
		perso->x_mat = portal[0].x;
		perso->y_mat = portal[0].y;
		perso->x = ( portal[0].x - 16 * ecranx ) * 8 + 3;
		perso->y = ( portal[0].y - 8 * ecrany ) * 8 + 3;
		perso->x_bmp = ( portal[0].x - 16 * ecranx ) * 8;
		perso->y_bmp = ( portal[0].y - 8 * ecrany ) * 8;
		perso->x_pointcontact[0] = perso->x_bmp + 7;
		perso->y_pointcontact[0] = perso->y_bmp;
 		perso->x_pointcontact[1] = perso->x_bmp + 7;
 		perso->y_pointcontact[1] = perso->y_bmp + 7;
		perso->x_pointcontact[2] = perso->x_bmp;
 		perso->y_pointcontact[2] = perso->y_bmp + 7;
		portal[0].compteur = 40;

		if( portal[0].orientation == 1 )
		{
			*vecteur_x += fabs( *vecteur_y );
			*vecteur_y = 0;
		}

		if( portal[0].orientation ==  3 )
		{
			*vecteur_x -= fabs( *vecteur_y );
			*vecteur_y = 0;
		}

		if( portal[0].orientation == 0 ) 
		{
			*vecteur_y = ( fabs( *vecteur_y ) * ( -1 ) ) - fabs( *vecteur_x );
			*vecteur_x = 0;
		}
	}

perso->x_viseur = perso->x + vecteur1;
perso->y_viseur = perso->y + vecteur2;
}

void input( int *touches, int *mat_niveau )
{

	if( IsKeyDown( KEY_CHAR_4 ) ) touches[0] = KEY_CHAR_4;

	if( IsKeyDown( KEY_CHAR_6 ) ) touches[0] = KEY_CHAR_6;

	if( IsKeyUp( KEY_CHAR_6 ) && IsKeyUp( KEY_CHAR_4 ) ) touches[0] = 0;

	if( IsKeyDown( KEY_CHAR_8 ) ) touches[1] = KEY_CHAR_8;
	else touches[1] = 0;

	if( IsKeyDown( KEY_CTRL_UP ) ) touches[4] = KEY_CTRL_UP;

	if( IsKeyDown( KEY_CTRL_RIGHT ) ) touches[2] = KEY_CTRL_RIGHT;

	if( IsKeyDown( KEY_CTRL_DOWN ) ) touches[4] = KEY_CTRL_DOWN;

	if( IsKeyDown( KEY_CTRL_LEFT ) || IsKeyDown( KEY_CTRL_VARS ) ) touches[2] = KEY_CTRL_LEFT;

	if( IsKeyUp( KEY_CTRL_RIGHT ) && IsKeyUp( KEY_CTRL_LEFT ) && IsKeyUp(KEY_CTRL_VARS ) ) touches[2] = 0;

	if( IsKeyUp( KEY_CTRL_UP ) && IsKeyUp( KEY_CTRL_DOWN ) ) touches[4] = 0;

	if( IsKeyDown( KEY_CTRL_SHIFT ) ) touches[3] = KEY_CTRL_SHIFT;

	if( IsKeyDown( KEY_CTRL_ALPHA ) ) touches[3] = KEY_CTRL_ALPHA;

	if( IsKeyUp( KEY_CTRL_SHIFT ) && IsKeyUp( KEY_CTRL_ALPHA ) ) touches[3] = 0;

	if( IsKeyDown( KEY_CTRL_F1 ) )
	{
		ML_clear_screen();
		while( IsKeyUp( KEY_CTRL_EXE ) );
		ML_display_vram();
	}

	if( IsKeyDown( KEY_CTRL_EXIT ) )
	{
		free( mat_niveau );
		menu();
	}

}

void affichage ( int persoxbmp, int persoybmp, int persoxviseur, int persoyviseur, jinfo *perso, int orient, pinfo *portal, int *portalx, int *portaly, int ecranx, int ecrany, int* portalorientation )
{

	if( persoxbmp != perso->x_bmp || persoybmp != perso->y_bmp )
	{
		if( orient ) ML_bmp_8_xor_cl( perso_droite, persoxbmp, persoybmp );
		else ML_bmp_8_xor_cl( perso_gauche, persoxbmp, persoybmp );

		if( perso->orientation ) ML_bmp_8_xor_cl( perso_droite, perso->x_bmp, perso->y_bmp );
		else ML_bmp_8_xor_cl( perso_gauche, perso->x_bmp, perso->y_bmp );
	}

	if( persoxviseur != perso->x_viseur || persoyviseur != perso->y_viseur )
	{
		ML_bmp_xor_cl( viseur, persoxviseur, persoyviseur, 3, 3 );
		ML_bmp_xor_cl( viseur, perso->x_viseur, perso->y_viseur, 3, 3 );
	}

	if( portal[0].x != portalx[0] || portal[0].y != portaly[0] )
	{
		if( portalx[0] >= 0 )
		{
			if( !portalorientation[0] ) ML_bmp_8_xor( portals_bas, ( portalx[0] - 16 * ecranx  ) * 8, ( portaly[0] - 8 * ecrany ) * 8 );
			if( portalorientation[0] == 1 ) ML_bmp_8_xor( portals_gauche, ( portalx[0] - 16 * ecranx  ) * 8, ( portaly[0] - 8 * ecrany ) * 8 );
			if( portalorientation[0] == 2 ) ML_bmp_8_xor( portals_haut, ( portalx[0] - 16 * ecranx  ) * 8, ( portaly[0] - 8 * ecrany ) * 8 );
			if( portalorientation[0] == 3 ) ML_bmp_8_xor( portals_droite, ( portalx[0] - 16 * ecranx  ) * 8, ( portaly[0] - 8 * ecrany ) * 8 );
		}

		if( !portal[0].orientation ) ML_bmp_8_xor( portals_bas, ( portal[0].x - 16 * ecranx ) * 8, ( portal[0].y - 8 * ecrany ) * 8 );
		if( portal[0].orientation == 1 ) ML_bmp_8_xor( portals_gauche, ( portal[0].x - 16 * ecranx ) * 8, ( portal[0].y - 8 * ecrany ) * 8 );
		if( portal[0].orientation == 2 ) ML_bmp_8_xor( portals_haut, ( portal[0].x - 16 * ecranx ) * 8, ( portal[0].y - 8 * ecrany ) * 8 );
		if( portal[0].orientation == 3 ) ML_bmp_8_xor( portals_droite, ( portal[0].x - 16 * ecranx ) * 8, ( portal[0].y - 8 * ecrany ) * 8 );
	}

	if( portal[1].x != portalx[1] || portal[1].y != portaly[1] )
	{
		if( portalx[1] >= 0 )
		{
			if( !portalorientation[1] ) ML_bmp_8_xor( portala_bas, ( portalx[1] - 16 * ecranx  ) * 8, ( portaly[1] - 8 * ecrany ) * 8 );
			if( portalorientation[1] == 1 ) ML_bmp_8_xor( portala_gauche, ( portalx[1] - 16 * ecranx  ) * 8, ( portaly[1] - 8 * ecrany ) * 8 );
			if( portalorientation[1] == 2 ) ML_bmp_8_xor( portala_haut, ( portalx[1] - 16 * ecranx  ) * 8, ( portaly[1] - 8 * ecrany ) * 8 );
			if( portalorientation[1] == 3 ) ML_bmp_8_xor( portala_droite, ( portalx[1] - 16 * ecranx  ) * 8, ( portaly[1] - 8 * ecrany ) * 8 );
		}

		if( !portal[1].orientation ) ML_bmp_8_xor( portala_bas, ( portal[1].x - 16 * ecranx ) * 8, ( portal[1].y - 8 * ecrany ) * 8 );
		if( portal[1].orientation == 1 ) ML_bmp_8_xor( portala_gauche, ( portal[1].x - 16 * ecranx ) * 8, ( portal[1].y - 8 * ecrany ) * 8 );
		if( portal[1].orientation == 2 ) ML_bmp_8_xor( portala_haut, ( portal[1].x - 16 * ecranx ) * 8, ( portal[1].y - 8 * ecrany ) * 8 );
		if( portal[1].orientation == 3 ) ML_bmp_8_xor( portala_droite, ( portal[1].x - 16 * ecranx ) * 8, ( portal[1].y - 8 * ecrany ) * 8 );
	}

	ML_display_vram();
}

void chargerecran( int *mat_niveau, jinfo *perso, pinfo *portal, int *ecranx, int *ecrany, int largeur, int dir )
{
	int x;
	int y;

	Bdisp_AllClr_DDVRAM();

	switch( dir )
	{
	case 0:
		perso->y = 59;
		perso->y_bmp = 56;
		perso->y_pointcontact[0] = 56;
		perso->y_pointcontact[1] = 63;
		perso->y_pointcontact[2] = 63;
		perso->y_viseur = 56;
		perso->x_viseur= perso->x + 6;
		(*ecrany) -= 1;
		break;

	case 1:
		perso->x = 4;
		perso->x_bmp = 1;
		perso->x_pointcontact[0] = 8;
		perso->x_pointcontact[1] = 8;
		perso->x_pointcontact[2] = 1;
		perso->x_viseur = 10;
		perso->y_viseur = perso->y;
		(*ecranx) += 1;
		break;


	case 2:
		perso->y = 3;
		perso->y_bmp = 0;
		perso->y_pointcontact[0] = 0;
		perso->y_pointcontact[1] = 7;
		perso->y_pointcontact[2] = 7;
		perso->y_viseur = 3;
		perso->x_viseur= perso->x + 6;
		(*ecrany) += 1;
		break;

	case 3:
		perso->x = 121;
		perso->x_bmp = 118;
		perso->x_pointcontact[0] = 125;
		perso->x_pointcontact[1] = 125;
		perso->x_pointcontact[2] = 118;
		perso->x_viseur = 115;
		perso->y_viseur = perso->y;
		(*ecranx) -= 1;
		break;
	}

	mat_niveau[portal[0].y * largeur + portal[0].x] = 0;
	portal[0].x = -1;
	portal[0].y = -1;
	mat_niveau[portal[1].y * largeur + portal[1].x] = 0;
	portal[1].x = -1;
	portal[1].y = -1;
	portal[0].orientation = -1;
	portal[1].orientation = -1;

	for( y = (*ecrany) * 8; y <= (*ecrany) * 8 + 7; y++ )
	{

		for( x =(*ecranx) * 16; x<= (*ecranx) * 16 + 15; x++ )
		{

			if( mat_niveau[y * largeur + x] == 1 ) ML_bmp_8_xor( sol, ( x - 16 * (*ecranx) ) * 8, ( y - 8 * (*ecrany) ) * 8 );

			if( mat_niveau[y * largeur + x] == -1 ) ML_bmp_8_xor( sortie, ( x - 16 * (*ecranx) ) * 8, ( y - 8 * (*ecrany) ) * 8 );

			if( mat_niveau[y * largeur + x] == 2 ) ML_bmp_8_xor( antiportal, ( x - 16 * (*ecranx) ) * 8, ( y - 8 * (*ecrany) ) * 8 );

			if( mat_niveau[y * largeur + x] == -3 ) ML_bmp_8_xor( emancipation, ( x - 16 * (*ecranx) ) * 8, ( y - 8 * (*ecrany) ) * 8 );

			if( mat_niveau[y * largeur + x] == -4 ) ML_bmp_8_xor( eau, ( x - 16 * (*ecranx) ) * 8, ( y - 8 * (*ecrany) ) * 8 );
		}

	}

	if( perso->orientation ) ML_bmp_8_xor( perso_droite, perso->x_bmp, perso->y_bmp );
	else ML_bmp_8_xor( perso_gauche, perso->x_bmp, perso->y_bmp );

	ML_bmp_xor( viseur, perso->x_viseur, perso->y_viseur, 3, 3 );

}